<?php         
namespace Concrete\Package\AbStrToImg;

use Package;
use BlockType;

defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_str_to_img package for Concrete5
 * concrete5.org marketplace license
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_str_to_img
 */
 
class Controller extends Package {

	protected $pkgHandle = 'ab_str_to_img';
	protected $appVersionRequired = '8.0.0';
	protected $pkgVersion = '1.0.1';
	protected $pkgAutoloaderMapCoreExtensions = true;
	
    public function getPackageDescription() 
	{
		return t('Free Simple String to Image Converter package, e.g. show email as image to avoid spam');
	}
	
	public function getPackageName() 
	{
		return t("String to Image Converter");
	}
	
	public function install() 
	{
		$pkg = parent::install();
		BlockType::installBlockType('ab_str_to_img', $pkg);
	}

}
