<?php defined('C5_EXECUTE') or die('Access Denied.');
?>

<style>
.ab-str-to-img .text-muted {
    font-size: 0.8em;
}
</style>

<fieldset class="ab-str-to-img">
    <div class="form-group">
        <?php
        echo $form->label('img_string', t('Enter text to convert to image'));
        echo $form->text('img_string', $img_string, ['maxlength' => 100]);
        echo '<p class="text-muted">' . t('Max 100 symbols') . '</p>';
        ?>
    </div>
</fieldset>

<script>
$(document).ready(function() {
    $('#ccm-form-submit-button').on('click', function(e){
        var img_string = $.trim($('#img_string').val());
        if (img_string.length < 1 || img_string.length > 100) {
            e.preventDefault();  // stop form from submitting
            e.stopPropagation(); // stop anything else from listening to our event and screwing things up
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Image text error:')); ?>,
                message: <?php echo json_encode(t('Image text cannot be empty or > 100 symbols!')); ?>
            });
        }
    });
});
</script>
